import { FileManagerInterface } from '../interfaces/file-manager.interface';
export declare enum filterType {
    regex = "regex",
    callback = "callback"
}
export declare type fileRegExpType = 'name' | 'type' | 'date';
export declare class FileFilter {
    get name(): string;
    get type(): filterType | null;
    private _name;
    private _regex;
    private _regCheck;
    private _callback;
    private _type;
    constructor(name: string, _data: RegExp | ((file: FileManagerInterface) => boolean), _regCheck?: fileRegExpType);
    validate(file: FileManagerInterface): boolean;
    private _regexpCheck;
}
