import { EventEmitter, ElementRef, Renderer2, OnInit, OnDestroy } from '@angular/core';
import { FileManagerOptionsInterface, FileManagerInterface, TransferInterface } from '../interfaces';
export declare class FileDropDirective implements OnInit, OnDestroy {
    private element;
    private renderer;
    fileHoverStart: EventEmitter<any>;
    fileHoverEnd: EventEmitter<any>;
    fileAccepted: EventEmitter<FileManagerInterface[]>;
    fileRejected: EventEmitter<Error>;
    fileOptions: FileManagerOptionsInterface;
    uploader: TransferInterface<FileManagerInterface>;
    private _InputFile;
    private _files;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onDragOver(event: Event): void;
    onDragLeave(event: Event): void;
    onDrop(event: Event): void;
    private preventAndStopEventPropagation;
    private readFile;
    private getDataTransferObject;
    private hasFiles;
}
