import { FileFilter } from '../classes/file-filter.class';
export interface TransferOptionsInterface {
    url?: string;
    alias?: string;
    headers?: object;
    formData?: object;
    method?: 'POST' | 'PUT' | 'PATCH';
    enableCors?: boolean;
    withCredentials?: boolean;
    filters?: FileFilter[];
    uniqueFiles?: boolean;
    removeBySuccess?: boolean;
    autoUpload?: boolean;
}
