import { HttpClient, HttpEvent } from '@angular/common/http';
import { Observable, Subject } from 'rxjs';
import { Protocol } from '../classes';
import { FileManagerInterface } from '../interfaces';
export declare class AngularFileUploadProtocol extends Protocol {
    private _httpClient;
    protected ngUnsubscribe: Subject<void>;
    constructor(_httpClient: HttpClient);
    /**
     * Implementation of the abstract.protocol method `run`
     *
     * @memberOf ProtocolXHR
     */
    run<T>(_file: FileManagerInterface): Promise<void>;
    handleMethode<T>(_file: FileManagerInterface, requestHandle: Observable<HttpEvent<T>>, time: number): Promise<HttpEvent<T>>;
    cancel(_file: FileManagerInterface): void;
}
