(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('rxjs'), require('@angular/common/http'), require('rxjs/operators'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('@uniprank/ngx-file-uploader', ['exports', '@angular/core', 'rxjs', '@angular/common/http', 'rxjs/operators', '@angular/common'], factory) :
    (global = global || self, factory((global.uniprank = global.uniprank || {}, global.uniprank['ngx-file-uploader'] = {}), global.ng.core, global.rxjs, global.ng.common.http, global.rxjs.operators, global.ng.common));
}(this, (function (exports, core, rxjs, http, operators, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    ;
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    // @dynamic
    var Utils = /** @class */ (function () {
        function Utils() {
        }
        /**
         * Creates a unique id for submit form.
         *
         * @returns string
         *
         * @memberOf utils
         */
        Utils.uniqueID = function () {
            return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
                // tslint:disable-next-line:no-bitwise
                var r = (Math.random() * 16) | 0, v = c === 'x' ? r : (r & 0x3) | 0x8;
                return v.toString(16);
            });
        };
        /**
         * Validate input and returns true if input is an element
         *
         * @param input any
         * @returns True if `value` is a DOM element (or wrapped jQuery element).
         *
         * @memberOf FileManager
         */
        Utils.isElement = function (input) {
            return !!(input &&
                (input.nodeName || // we are a direct element
                    (input.prop && input.attr && input.find))); // We have an on and find methode part of jQuery API
        };
        /**
         * Validate input and returns true if input is a string
         *
         * @param input any
         * @returns boolean
         *
         * @memberOf Utils
         */
        Utils.isString = function (input) {
            return !!(typeof input === 'string');
        };
        Utils.extendValue = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var _value = args[0];
            for (var i = 1; i < args.length; i++) {
                if (typeof args[i] !== 'undefined') {
                    _value = args[i];
                }
            }
            return _value;
        };
        return Utils;
    }());
    Utils._uniqueNumber = 1;
    Utils.nextUID = function () { return (Utils._uniqueNumber++).toString(); };

    var FileObject = /** @class */ (function () {
        function FileObject(fileOrInput) {
            var isInput = Utils.isElement(fileOrInput);
            if (isInput) {
                this._createFromFakePath(fileOrInput.value);
            }
            else {
                this._createFromObject(fileOrInput);
            }
        }
        FileObject.prototype._createFromFakePath = function (path) {
            this.lastModifiedDate = null;
            this.size = null;
            this.type = 'like/' + path.slice(path.lastIndexOf('.') + 1).toLowerCase();
            this.name = path.split(/(\\|\/)/g).pop();
        };
        FileObject.prototype._createFromObject = function (object) {
            this.lastModifiedDate = new Date(object.lastModified || object.lastModifiedDate.getTime());
            this.size = object.size;
            this.type = object.type;
            this.name = object.name;
        };
        return FileObject;
    }());

    var FileManagerOptionsDefault = {};
    var speedObject = {
        total: 0,
        loaded: 0,
        percent: 0,
        speed: 0,
        speedToText: '0 bytes'
    };
    var FileManager = /** @class */ (function () {
        /**
         * Creates an instance of FileManager.
         *
         * @memberOf FileManager
         */
        function FileManager(file, options, uploader) {
            this._progress$ = new rxjs.BehaviorSubject(0);
            this._speed$ = new rxjs.BehaviorSubject(speedObject);
            this.options = Object.assign({}, FileManagerOptionsDefault, options);
            this._speedDefault = {};
            this._id = Utils.uniqueID();
            this._isUploading = false;
            this._isUploaded = false;
            this._isSuccess = false;
            this._isCancel = false;
            this._isError = false;
            var _isInput = Utils.isElement(file);
            var _file = _isInput ? new FileObject(file.files[0]) : new FileObject(file);
            this._file = _file;
            this._fileElement = _isInput ? file.files[0] : file;
            this._fileActive = false;
            if (typeof uploader !== 'undefined') {
                this.bindUploader(uploader);
            }
        }
        Object.defineProperty(FileManager.prototype, "protocol", {
            set: function (_protocol) {
                this._protocol = _protocol;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "id", {
            get: function () {
                return this._id;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "progressPercent$", {
            get: function () {
                return this._progress$.asObservable();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "progress$", {
            get: function () {
                return this._speed$.asObservable();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "progress", {
            get: function () {
                return this._progress$.getValue();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "element", {
            get: function () {
                return this._fileElement;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "object", {
            get: function () {
                return this._file;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "name", {
            get: function () {
                return this._file.name;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "type", {
            get: function () {
                return this._file.type;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "date", {
            get: function () {
                return this._file.lastModifiedDate;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "size", {
            get: function () {
                return this._file.size;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "inQueue", {
            get: function () {
                return this._fileActive;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "response", {
            get: function () {
                return this._response;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "success", {
            get: function () {
                return this._isSuccess;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileManager.prototype, "error", {
            get: function () {
                return this._isError;
            },
            enumerable: false,
            configurable: true
        });
        /**
         * Bind uploader to FileManager
         *
         * @memberOf FileManager
         */
        FileManager.prototype.bindUploader = function (uploader) {
            this._uploader = uploader;
            var check = this._uploader.addFile(this);
            this._setFileActive(check);
        };
        /**
         * Bind options to FileManager
         *
         * @memberOf FileManager
         */
        FileManager.prototype.bindOptions = function (options) {
            var _formData = Object.assign(Object.assign({}, this.options.formData), options === null || options === void 0 ? void 0 : options.formData);
            this.options = Object.assign(Object.assign(Object.assign({}, this.options), options), { formData: _formData });
        };
        /**
         * Return uploader if exists else throw error
         *
         * @memberOf FileManager
         */
        FileManager.prototype.getUploader = function () {
            return this._uploader;
        };
        /**
         * Start uploading this file
         *
         *
         * @memberOf FileManager
         */
        FileManager.prototype.upload = function () {
            var _uploader;
            try {
                _uploader = this.getUploader();
            }
            catch (e) {
                throw new Error('Couldn`t upload because uploader was not defined. ERR_MSG: ' + e.message);
            }
            this._isUploading = true;
            try {
                _uploader.uploadFile(this);
            }
            catch (e) {
                // TODO write error handling
            }
        };
        /**
         * Cancel upload process from this file
         *
         *
         * @memberOf FileManager
         */
        FileManager.prototype.cancel = function () {
            if (this._isUploading) {
                var uploader = this.getUploader();
                uploader.cancelUploadFile(this);
            }
        };
        FileManager.prototype._cancel = function () {
            if (this._isUploading) {
                this._isCancel = true;
                this._isUploaded = false;
                this._isUploading = false;
            }
        };
        /**
         * Remove this FileManger from uploader queue
         *
         *
         * @memberOf FileManager
         */
        FileManager.prototype.remove = function () {
            var _uploader;
            try {
                _uploader = this.getUploader();
            }
            catch (e) {
                throw new Error('Couldn`t remove because uploader was not defined. ERR_MSG: ' + e.message);
            }
            if (this._isUploading) {
                this.cancel();
            }
            _uploader.removeFile(this);
            this._setFileActive(false);
        };
        FileManager.prototype.isUploaded = function () {
            return this._isUploaded;
        };
        FileManager.prototype.isUploading = function () {
            return this._isUploading;
        };
        FileManager.prototype.canUpload = function () {
            return !this._isUploaded && !this._isUploading && !this._isSuccess && !this._isError;
        };
        FileManager.prototype.handleImageLoad = function () {
            this._imageLoad = true;
        };
        /**
         * Overwrite functions
         */
        FileManager.prototype.onBeforeUpload = function () {
            return;
        };
        FileManager.prototype.onProgressSpeed = function (speed) {
            speed = speed;
        };
        FileManager.prototype.onProgress = function (progress) {
            progress = progress;
        };
        FileManager.prototype.onSuccess = function (response, status, headers) {
            response = response;
            status = status;
            headers = headers;
        };
        FileManager.prototype.onError = function (response, status, headers) {
            response = response;
            status = status;
            headers = headers;
        };
        /**
         *  Internal functions
         */
        FileManager.prototype._onBeforeUpload = function () {
            this._isUploading = true;
            this._isUploaded = false;
            this._isSuccess = false;
            this._isCancel = false;
            this._isError = false;
            this._progress$.next(0);
            this.onBeforeUpload();
        };
        FileManager.prototype._onProgressFileSpeed = function (speed) {
            this._speed$.next(speed);
            this.onProgressSpeed(speed);
        };
        FileManager.prototype._onProgress = function (progress) {
            this._progress$.next(progress);
            this.onProgress(progress);
        };
        FileManager.prototype._onSuccess = function (response, status, headers) {
            this._isUploading = false;
            this._isUploaded = true;
            this._isSuccess = true;
            this._isError = false;
            this._response = response;
            this.onSuccess(response, status, headers);
            if (this._uploader.options.removeBySuccess) {
                this.remove();
            }
        };
        FileManager.prototype._onError = function (response, status, headers) {
            this._isUploading = false;
            this._isUploaded = false;
            this._isSuccess = false;
            this._isError = true;
            this._response = response;
            this.onError(response, status, headers);
        };
        FileManager.prototype._setFileActive = function (check) {
            this._fileActive = check;
        };
        return FileManager;
    }());

    function instanceOfFileManagerInterface(obj) {
        return [
            'options',
            'progressPercent$',
            'progress$',
            'handleImageLoad',
            'canUpload',
            'isUploading',
            'isUploaded',
            'remove',
            '_cancel',
            'cancel',
            'upload',
            'getUploader',
            'onBeforeUpload',
            'onProgressSpeed',
            'onProgress',
            'onSuccess',
            'onError',
            '_onBeforeUpload',
            '_onProgressFileSpeed',
            '_onProgress',
            '_onSuccess',
            '_onError'
        ].every(function (key) { return key in obj; });
    }

    //
    // Directive to support dragging and dropping and element onto a div
    //
    var FileDropDirective = /** @class */ (function () {
        //
        // Constructor requires an element reference that instantiated this directive
        //
        function FileDropDirective(element, renderer) {
            this.element = element;
            this.renderer = renderer;
            this.fileHoverStart = new core.EventEmitter();
            this.fileHoverEnd = new core.EventEmitter();
            this.fileAccepted = new core.EventEmitter();
            this.fileRejected = new core.EventEmitter();
            this._InputFile = null;
        }
        //
        // Initialisation
        //
        FileDropDirective.prototype.ngOnInit = function () {
            this._files = [];
            this.renderer.addClass(this.element.nativeElement, 'drop-area');
        };
        FileDropDirective.prototype.ngOnDestroy = function () {
            var e_1, _a;
            if (this._files.length > 0) {
                try {
                    for (var _b = __values(this._files), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var _file = _c.value;
                        if (instanceOfFileManagerInterface(_file)) {
                            if (!_file.isUploaded()) {
                                _file.cancel();
                                this.uploader.removeFile(_file);
                            }
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
        };
        //
        // Called when the element has content dragged over
        //
        FileDropDirective.prototype.onDragOver = function (event) {
            // If we're already in the on-drag, don't bother with this
            if (this._InputFile === null) {
                // Get the object being dragged and reference it as a copy action
                this._InputFile = this.getDataTransferObject(event);
                if (this._InputFile === null) {
                    return;
                }
                this.renderer.addClass(this.element.nativeElement, 'drop-enter');
                var _dropValueText = 'Drop now';
                this.renderer.setAttribute(this.element.nativeElement, 'dropValueText', _dropValueText);
                // Let the client know
                this.fileHoverStart.emit();
            }
            // Don't propagate
            this.preventAndStopEventPropagation(event);
        };
        //
        // Called when the element has dragged content leave
        //
        FileDropDirective.prototype.onDragLeave = function (event) {
            // Only bother if we have a file
            if (this._InputFile !== null) {
                this.renderer.removeClass(this.element.nativeElement, 'drop-enter');
                this.renderer.setAttribute(this.element.nativeElement, 'dropValueText', '');
                // Finished with the file
                this._InputFile = null;
                if (event.currentTarget === this.element[0]) {
                    return;
                }
                // Let the client know
                this.fileHoverEnd.emit();
            }
            // Don't let it continue
            this.preventAndStopEventPropagation(event);
        };
        //
        // Called when the element has content dropped
        //
        FileDropDirective.prototype.onDrop = function (event) {
            // Only bother if we have a file
            if (this._InputFile !== null) {
                this.renderer.removeClass(this.element.nativeElement, 'drop-enter');
                this.renderer.setAttribute(this.element.nativeElement, 'dropValueText', '');
                // Let the client know
                this.fileHoverEnd.emit();
                // Update our data
                this._InputFile = this.getDataTransferObject(event);
                if (this._InputFile.files.length === 0) {
                    this._InputFile = null;
                    return;
                }
                var filesData = this._InputFile.files;
                if (!this.hasFiles(this._InputFile.types)) {
                    return;
                }
                this.readFile(filesData);
                this.fileAccepted.emit(this._files);
                // Finished with the file
                this._InputFile = null;
            }
            // Don't let it continue
            this.preventAndStopEventPropagation(event);
        };
        //
        // Stops the drag/drop events propagating
        //
        FileDropDirective.prototype.preventAndStopEventPropagation = function (event) {
            event.preventDefault();
            event.stopPropagation();
        };
        FileDropDirective.prototype.readFile = function (_files) {
            var fmObject;
            // tslint:disable-next-line: prefer-for-of
            for (var i = 0; i < _files.length; i++) {
                var file = _files[i];
                try {
                    fmObject = new FileManager(file, this.fileOptions, this.uploader);
                }
                catch (e) {
                    this.fileRejected.emit(e);
                    throw new Error('Something goes wrong e: ' + e.message);
                }
                fmObject.inQueue && this._files.push(fmObject);
            }
        };
        //
        // Returns the file dragged into the directive
        //
        FileDropDirective.prototype.getDataTransferObject = function (event) {
            return event.dataTransfer ? event.dataTransfer : event.originalEvent.dataTransfer;
        };
        FileDropDirective.prototype.hasFiles = function (types) {
            if (!types) {
                return false;
            }
            if (types.indexOf) {
                return types.indexOf('Files') !== -1;
            }
            if (types.contains) {
                return types.contains('Files');
            }
            return false;
        };
        return FileDropDirective;
    }());
    FileDropDirective.decorators = [
        { type: core.Directive, args: [{
                    // Selector required in component HTML
                    // tslint:disable-next-line:directive-selector
                    selector: '[ngxFile2Drop]'
                },] }
    ];
    FileDropDirective.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 }
    ]; };
    FileDropDirective.propDecorators = {
        fileHoverStart: [{ type: core.Output }],
        fileHoverEnd: [{ type: core.Output }],
        fileAccepted: [{ type: core.Output }],
        fileRejected: [{ type: core.Output }],
        fileOptions: [{ type: core.Input }],
        uploader: [{ type: core.Input }],
        onDragOver: [{ type: core.HostListener, args: ['dragover', ['$event'],] }],
        onDragLeave: [{ type: core.HostListener, args: ['dragleave', ['$event'],] }],
        onDrop: [{ type: core.HostListener, args: ['drop', ['$event'],] }]
    };

    //
    // Directive to support select file from inputfield
    //
    var FileSelectDirective = /** @class */ (function () {
        //
        // Constructor requires an element reference that instantiated this directive
        //
        function FileSelectDirective() {
            this.role = 'input';
            this.type = 'file';
            this.fileHoverStart = new core.EventEmitter();
            this.fileHoverEnd = new core.EventEmitter();
            this.fileAccepted = new core.EventEmitter();
            this.fileRejected = new core.EventEmitter();
            this._InputFile = null;
        }
        //
        // Initialisation
        //
        FileSelectDirective.prototype.ngOnInit = function () {
            this._files = [];
        };
        FileSelectDirective.prototype.ngOnDestroy = function () {
            var e_1, _a;
            if (this._files.length > 0) {
                try {
                    for (var _b = __values(this._files), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var _file = _c.value;
                        if (instanceOfFileManagerInterface(_file)) {
                            if (!_file.isUploaded()) {
                                _file.cancel();
                                this.uploader.removeFile(_file);
                            }
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
        };
        //
        // Called when the element was choosen
        //
        FileSelectDirective.prototype.onChange = function (event) {
            // Update our data
            this._InputFile = this.getEventTarget(event);
            if (this._InputFile.files.length === 0) {
                this._InputFile = null;
                return;
            }
            var filesData = this._InputFile.files;
            this.readFile(filesData);
            this.fileAccepted.emit(this._files);
            // Finished with the file
            this._InputFile = null;
            // Don't let it continue
            this.preventAndStopEventPropagation(event);
        };
        //
        // Stops the drag/drop events propagating
        //
        FileSelectDirective.prototype.preventAndStopEventPropagation = function (event) {
            event.preventDefault();
            event.stopPropagation();
        };
        FileSelectDirective.prototype.readFile = function (_files) {
            var fmObject;
            // tslint:disable-next-line: prefer-for-of
            for (var i = 0; i < _files.length; i++) {
                var file = _files[i];
                try {
                    fmObject = new FileManager(file, this.fileOptions, this.uploader);
                }
                catch (e) {
                    if (e.status === 100) {
                        this.fileRejected.emit(e);
                    }
                    else {
                        this.fileRejected.emit(e);
                    }
                    throw new Error('Something goes wrong e: ' + e.message);
                }
                fmObject.inQueue && this._files.push(fmObject);
            }
        };
        //
        // Returns the file dragged into the directive
        //
        FileSelectDirective.prototype.getEventTarget = function (event) {
            return event.target;
        };
        return FileSelectDirective;
    }());
    FileSelectDirective.decorators = [
        { type: core.Directive, args: [{
                    // Selector required in component HTML
                    // tslint:disable-next-line:directive-selector
                    selector: '[ngxFile2Select]'
                },] }
    ];
    FileSelectDirective.ctorParameters = function () { return []; };
    FileSelectDirective.propDecorators = {
        role: [{ type: core.HostBinding, args: ['attr.role',] }],
        type: [{ type: core.HostBinding, args: ['attr.type',] }],
        fileHoverStart: [{ type: core.Output }],
        fileHoverEnd: [{ type: core.Output }],
        fileAccepted: [{ type: core.Output }],
        fileRejected: [{ type: core.Output }],
        fileOptions: [{ type: core.Input }],
        uploader: [{ type: core.Input }],
        onChange: [{ type: core.HostListener, args: ['change', ['$event'],] }]
    };

    var FileReader$1 = window.FileReader;
    // tslint:disable-next-line:directive-selector
    var ImagePreviewDirective = /** @class */ (function () {
        function ImagePreviewDirective(el, renderer2) {
            this.el = el;
        }
        ImagePreviewDirective.prototype.ngOnChanges = function () {
            var reader = new FileReader$1();
            var el = this.el;
            el.nativeElement.src =
                // tslint:disable-next-line: quotemark
                "data:image/svg+xml;charset=utf-8,%3Csvg xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg' viewBox%3D'0 0 200 150'%2F%3E";
            reader.onloadend = function () {
                el.nativeElement.src = reader.result;
            };
            if (this.image) {
                return reader.readAsDataURL(this.image.element);
            }
        };
        return ImagePreviewDirective;
    }());
    ImagePreviewDirective.decorators = [
        { type: core.Directive, args: [{ selector: 'img[imgPreview]' },] }
    ];
    ImagePreviewDirective.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 }
    ]; };
    ImagePreviewDirective.propDecorators = {
        image: [{ type: core.Input }]
    };

    /*
     * Convert bytes into largest possible unit.
     * Takes an precision argument that defaults to 2.
     * Usage:
     *   bytes | fileSize:precision
     * Example:
     *   {{ 1024 |  fileSize}}
     *   formats to: 1 KB
    */
    var FileSizePipe = /** @class */ (function () {
        function FileSizePipe() {
            this.units = [
                'bytes',
                'KB',
                'MB',
                'GB',
                'TB',
                'PB'
            ];
        }
        FileSizePipe.prototype.transform = function (bytes, precision) {
            if (bytes === void 0) { bytes = 0; }
            if (precision === void 0) { precision = 2; }
            if (!isFinite(bytes)) {
                return '?';
            }
            var unit = 0;
            while (bytes >= 1024) {
                bytes /= 1024;
                unit++;
            }
            return bytes.toFixed(+precision) + ' ' + this.units[unit];
        };
        return FileSizePipe;
    }());
    FileSizePipe.decorators = [
        { type: core.Pipe, args: [{ name: 'fileSize' },] }
    ];

    // tslint:disable:directive-selector
    var ProgressBarDirective = /** @class */ (function () {
        function ProgressBarDirective(el, renderer) {
            this.el = el;
            this.renderer = renderer;
        }
        ProgressBarDirective.prototype.ngOnChanges = function () {
            var el = this.el;
            el.nativeElement.value = this.progress.percent;
            if (this.progress.speed > 0) {
                var pipe = new FileSizePipe();
                this.renderer.setAttribute(this.el.nativeElement, 'speedText', pipe.transform(this.progress.loaded));
            }
            else {
                this.renderer.setAttribute(this.el.nativeElement, 'speedText', '');
            }
        };
        return ProgressBarDirective;
    }());
    ProgressBarDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: 'progress[progressBar]'
                },] }
    ];
    ProgressBarDirective.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: core.Renderer2 }
    ]; };
    ProgressBarDirective.propDecorators = {
        progress: [{ type: core.Input }]
    };

    // tslint:disable:max-line-length
    var FormData$1 = window.FormData;
    /**
     * Abstract proctol class if someone want to write his own protocol
     */
    var Protocol = /** @class */ (function () {
        /**
         * Creates an instance of Protocol and for each protocol an own unique ID.
         *
         * @memberOf Protocol
         */
        function Protocol() {
            this._id = Utils.uniqueID();
            this.progress = new core.EventEmitter();
            this.load = new core.EventEmitter();
            this.error = new core.EventEmitter();
            this.abort = new core.EventEmitter();
            this._connections = [];
        }
        Object.defineProperty(Protocol.prototype, "connection", {
            set: function (obj) {
                var _file = obj._file, _connection = obj._connection;
                if (!this.isConnected(_file)) {
                    this._connections.push({
                        id: _file.id,
                        connection: _connection
                    });
                }
            },
            enumerable: false,
            configurable: true
        });
        /**
         * Call uploader method _onCompleteFile.
         *
         * @memberOf Protocol
         */
        Protocol.prototype._onLoad = function (_file, response, status, headers) {
            var uploader = _file.getUploader();
            var gist = this._isSuccessCode(status);
            var method = function (g, f, r, s, h) {
                if (g) {
                    uploader._onSuccessFile(f, r, s, h);
                }
                else {
                    uploader._onErrorFile(f, r, s, h);
                }
            };
            method(gist, _file, response, status, headers);
            uploader._onCompleteFile(_file, response, status, headers);
        };
        /**
         * Call uploader methodes _onErrorFile and _onCompleteFile.
         *
         * @memberOf Protocol
         */
        Protocol.prototype._onError = function (_file, response, status, headers) {
            var uploader = _file.getUploader();
            uploader._onErrorFile(_file, response, status, headers);
            uploader._onCompleteFile(_file, response, status, headers);
        };
        /**
         * Call uploader methodes _onErrorFile and _onCompleteFile.
         *
         * @memberOf Protocol
         */
        Protocol.prototype._onAbort = function (_file, response, status, headers) {
            var uploader = _file.getUploader();
            uploader._onErrorFile(_file, response, status, headers);
            uploader._onCompleteFile(_file, response, status, headers);
        };
        /**
         * Validate response status code.+
         *
         * @memberOf Protocol
         */
        Protocol.prototype._isSuccessCode = function (status) {
            return (status >= 200 && status < 300) || status === 304;
        };
        Protocol.prototype.isConnected = function (_file) {
            var e_1, _a;
            try {
                for (var _b = __values(this._connections), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var _request = _c.value;
                    if (_request.id === _file.id) {
                        return _request;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return false;
        };
        Protocol.prototype.removeConnection = function (_file) {
            var _request = null;
            for (var _key in this._connections) {
                if (this._connections.hasOwnProperty(_key)) {
                    _request = this._connections[_key];
                    if (_file.id === _request.id) {
                        this._connections.splice(+_key, 1);
                    }
                }
            }
        };
        return Protocol;
    }());
    /**
     * Standard protocol for server communication (file uploading)
     *
     * @export
     * @extends {Protocol}
     */
    var ProtocolXHR = /** @class */ (function (_super) {
        __extends(ProtocolXHR, _super);
        function ProtocolXHR() {
            return _super.call(this) || this;
        }
        /**
         * Implementation of the abstract.protocol method `run`
         *
         * @memberOf ProtocolXHR
         */
        ProtocolXHR.prototype.run = function (_file) {
            var _this = this;
            var _xhr;
            var sendable;
            var uploader = _file.getUploader();
            var _formData = Utils.extendValue(uploader.options.formData, _file.options.formData);
            var _withCredentials = Utils.extendValue(uploader.options.withCredentials, _file.options.withCredentials);
            var _method = Utils.extendValue(uploader.options.method, _file.options.method);
            var _url = Utils.extendValue(uploader.options.url, _file.options.url);
            var _alias = Utils.extendValue(uploader.options.alias, _file.options.alias);
            var _headers = Utils.extendValue(uploader.options.headers, _file.options.headers);
            var _time = new Date().getTime();
            var _load = 0;
            var _speed = 0;
            var _speedToText = null;
            var $filesize = new FileSizePipe();
            _xhr = new XMLHttpRequest();
            this.connection = {
                _file: _file,
                _connection: _xhr
            };
            sendable = new FormData$1();
            if (typeof _formData !== 'undefined') {
                // Only allow Multipart
                for (var key in _formData) {
                    if (_formData.hasOwnProperty(key)) {
                        var value = _formData[key];
                        sendable.append(key, value);
                    }
                }
            }
            sendable.append(_alias, _file.element, _file.name);
            if (typeof _file.size !== 'number') {
                throw new TypeError('We need the file size.');
            }
            var _progress = function (event) {
                if (event.lengthComputable) {
                    var _time2 = new Date().getTime() - _time;
                    _load = event.loaded - _load;
                    _speed = (_load / _time2) * 1000;
                    _speed = parseInt(_speed, 10);
                    _speedToText = $filesize.transform(_speed);
                    var _obj = {
                        total: event.total,
                        loaded: event.loaded,
                        percent: Math.round((event.loaded / event.total) * 100),
                        speed: _speed,
                        speedToText: _speedToText
                    };
                    _this.progress.emit({ _file: _file, _data: _obj });
                }
            };
            var _loadHandler = function (event) {
                var headers = uploader._parseHeaders(_xhr.getAllResponseHeaders());
                var response = uploader._transformResponse(_xhr.response, headers);
                var status = _xhr.status;
                _this.load.emit({ _file: _file, response: response, status: status, headers: headers });
            };
            var _errorHandler = function (event) {
                var headers = uploader._parseHeaders(_xhr.getAllResponseHeaders());
                var response = uploader._transformResponse(_xhr.response, headers);
                var status = _xhr.status;
                _this.error.emit({ _file: _file, response: response, status: status, headers: headers });
            };
            var _abortHandler = function (event) {
                var headers = uploader._parseHeaders(_xhr.getAllResponseHeaders());
                var response = uploader._transformResponse(_xhr.response, headers);
                var status = _xhr.status;
                _this.abort.emit({ _file: _file, response: response, status: status, headers: headers });
            };
            _xhr.upload.addEventListener('progress', _progress);
            _xhr.onreadystatechange = function (ev) {
                if (this.readyState === 4) {
                    if (this.status >= 400) {
                        _errorHandler(ev);
                    }
                }
            };
            _xhr.onload = _loadHandler;
            _xhr.addEventListener('abort', _abortHandler);
            _xhr.open(_method, _url, true);
            _xhr.withCredentials = _withCredentials;
            for (var name in _headers) {
                if (_headers.hasOwnProperty(name)) {
                    var value = _headers[name];
                    _xhr.setRequestHeader(name, value);
                }
            }
            _xhr.send(sendable);
        };
        ProtocolXHR.prototype.cancel = function (_file) {
            var _request = this.isConnected(_file);
            if (!!_request) {
                _request.connection.abort();
                this.removeConnection(_file);
            }
        };
        return ProtocolXHR;
    }(Protocol));

    (function (HookTypeEnum) {
        HookTypeEnum["beforeAddingFile"] = "beforeAddingFile";
        HookTypeEnum["afterAddingFile"] = "afterAddingFile";
        HookTypeEnum["errorAddingFile"] = "errorAddingFile";
        HookTypeEnum["removeFile"] = "removeFile";
        HookTypeEnum["prepareUploadFile"] = "prepareUploadFile";
        HookTypeEnum["progressUploadFile"] = "progressUploadFile";
        HookTypeEnum["progressUploadSpeed"] = "progressUploadSpeed";
        HookTypeEnum["successUploadFile"] = "successUploadFile";
        HookTypeEnum["completeUploadFile"] = "completeUploadFile";
        HookTypeEnum["failedUploadFile"] = "failedUploadFile";
        HookTypeEnum["cancelUploadFile"] = "cancelUploadFile";
        HookTypeEnum["prepareUploadAll"] = "prepareUploadAll";
        HookTypeEnum["progressUploadAll"] = "progressUploadAll";
        HookTypeEnum["completeUploadAll"] = "completeUploadAll";
    })(exports.HookTypeEnum || (exports.HookTypeEnum = {}));
    var UploaderHook = /** @class */ (function () {
        function UploaderHook(_hookType, _callback, _priority) {
            if (_priority === void 0) { _priority = 0; }
            this._type = null;
            this._callback = null;
            this._priority = null;
            this._type = _hookType;
            this._callback = _callback;
            this._priority = +_priority;
        }
        Object.defineProperty(UploaderHook.prototype, "type", {
            get: function () {
                return this._type;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(UploaderHook.prototype, "priority", {
            get: function () {
                return this._priority;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(UploaderHook.prototype, "callback", {
            get: function () {
                return this._callback;
            },
            enumerable: false,
            configurable: true
        });
        return UploaderHook;
    }());

    // tslint:disable: no-unused-expression
    /**
     * An abstract class for the transport functionality
     *
     * @export
     */
    var Transfer = /** @class */ (function () {
        /**
         * Creates an instance of Transfer.
         *
         * @memberOf Transfer
         */
        function Transfer(type, options) {
            this.type = type;
            this.transferOptionsDefault = {
                url: '',
                alias: 'file',
                headers: {},
                filters: [],
                formData: [],
                autoUpload: false,
                method: 'POST',
                removeBySuccess: false,
                enableCors: false,
                withCredentials: false,
                uniqueFiles: false
            };
            this._$queue = new rxjs.BehaviorSubject([]);
            this._queue = [];
            var div = document.createElement('div');
            this._isHTML5 = !!(File && FormData && FileReader);
            this._isDragAndDrop = 'draggable' in div || ('ondragstart' in div && 'ondrop' in div) ? true : false;
            this._id = Utils.uniqueID();
            this._hooks = [];
            if (!this._isHTML5) {
                throw new Error("Your browser doesn't support HTML5. Our NgxFileUploader can't work here.");
            }
            this.options = Object.assign({}, this.transferOptionsDefault, options);
        }
        Object.defineProperty(Transfer.prototype, "id", {
            get: function () {
                return this._id;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Transfer.prototype, "queue$", {
            get: function () {
                return this._$queue.asObservable();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(Transfer.prototype, "queueObs", {
            get: function () {
                return this._queue;
            },
            enumerable: false,
            configurable: true
        });
        /**
         * Bind options to FileManagerInterface
         *
         * @memberOf Transfer
         */
        Transfer.prototype.bindOptions = function (options) {
            this.options = Object.assign(Object.assign({}, this.options), options);
        };
        /**
         * It gives HTML5 check back
         *
         * @memberOf Transfer
         */
        Transfer.prototype.isHTML5 = function () {
            return this._isHTML5;
        };
        /**
         * It gives DragAndDrop check back
         *
         * @memberOf Transfer
         */
        Transfer.prototype.isDragAndDrop = function () {
            return this._isDragAndDrop;
        };
        /**
         * To implement a hock
         *
         * @memberOf Transfer
         */
        Transfer.prototype.hook = function (hook) {
            if (this._hookExists(hook) === -1) {
                this._hooks.push(hook);
                this._hooks.sort(function (a, b) {
                    if (a.type !== b.type) {
                        if (a.type < b.type) {
                            return -1;
                        }
                        if (a.type > b.type) {
                            return 1;
                        }
                    }
                    else {
                        if (a.priority > b.priority) {
                            return -1;
                        }
                        if (a.priority < b.priority) {
                            return 1;
                        }
                        return 0;
                    }
                });
            }
            else {
                throw new Error("Hook with the Type [" + hook.type + "] and the same callback still exists.");
            }
        };
        /**
         *  Remove a hook
         *
         * @memberOf Transfer
         */
        Transfer.prototype.removeHook = function (hook) {
            var key = this._hookExists(hook);
            if (key >= 0) {
                this._hooks.splice(key, 1);
                return true;
            }
            return false;
        };
        Transfer.prototype.activeHooks = function () {
            return this._hooks.map(function (_hook) { return exports.HookTypeEnum[_hook.type] + "->prio:" + _hook.priority; });
        };
        Transfer.prototype.addFile = function (file) {
            var _valid = false;
            try {
                _valid = this.validate(file);
            }
            catch (e) {
                _valid = false;
            }
            if (!_valid) {
                this._onAddFileError(file);
                return false;
            }
            var queue = this._queue;
            if (this.options.uniqueFiles) {
                if (this.inQueue(file) === -1) {
                    this._runHook(exports.HookTypeEnum.beforeAddingFile, file);
                    queue.push(file);
                    this._$queue.next(queue);
                    this._onAddFile(file);
                    this._runHook(exports.HookTypeEnum.afterAddingFile, file);
                    this.options.autoUpload && file.upload();
                    return true;
                }
            }
            else {
                this._runHook(exports.HookTypeEnum.beforeAddingFile, file);
                queue.push(file);
                this._$queue.next(queue);
                this._onAddFile(file);
                this._runHook(exports.HookTypeEnum.afterAddingFile, file);
                this.options.autoUpload && file.upload();
                return true;
            }
            this._onAddFileError(file);
            return false;
        };
        Transfer.prototype.removeFile = function (_file) {
            var key = this.inQueue(_file);
            if (key !== -1) {
                this._queue.splice(key, 1);
                this._$queue.next(this._queue);
                this._onRemoveFile(_file);
                return true;
            }
            return false;
        };
        Transfer.prototype.inQueue = function (_file) {
            return this._queue.findIndex(function (obj) {
                return obj.id === _file.id || obj.name + obj.type + obj.size === _file.name + _file.type + _file.size;
            });
        };
        Transfer.prototype.addFilter = function (_filter) {
            if (!this._filterExists(_filter)) {
                this.options.filters.push(_filter);
            }
        };
        Transfer.prototype.validate = function (_file) {
            if (this.options.filters.length > 0) {
                return this.options.filters.some(function (_filter) { return _filter.validate(_file); });
            }
            return true;
        };
        Transfer.prototype.setProtocol = function (_protocol) {
            this._protocol = _protocol;
        };
        Transfer.prototype.getProtocol = function () {
            return this._protocol;
        };
        /**
         * Validate response status code.
         *
         * @memberOf Transfer
         */
        Transfer.prototype.isSuccessCode = function (status) {
            return (status >= 200 && status < 300) || status === 304;
        };
        /**
         * Upload functions
         */
        Transfer.prototype.upload = function () {
            var e_1, _a;
            this._onBeforeUploadAll();
            try {
                for (var _b = __values(this.queueObs), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var _file = _c.value;
                    this.uploadFile(_file);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        Transfer.prototype.cancel = function () {
            var e_2, _a;
            try {
                for (var _b = __values(this.queueObs), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var _file = _c.value;
                    this.cancelUploadFile(_file);
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
        };
        Transfer.prototype.remove = function () {
            var e_3, _a;
            var _queue = __spread(this.queueObs);
            try {
                for (var _queue_1 = __values(_queue), _queue_1_1 = _queue_1.next(); !_queue_1_1.done; _queue_1_1 = _queue_1.next()) {
                    var _file = _queue_1_1.value;
                    this.removeFile(_file);
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_queue_1_1 && !_queue_1_1.done && (_a = _queue_1.return)) _a.call(_queue_1);
                }
                finally { if (e_3) throw e_3.error; }
            }
        };
        Transfer.prototype.uploadFile = function (item) {
            if (this.inQueue(item) === -1) {
                this.addFile(item);
            }
            this._onBeforeUpload(item);
            this.getProtocol().run(item);
        };
        Transfer.prototype.cancelUploadFile = function (item) {
            if (this.inQueue(item) !== -1) {
                item.isUploading && this.getProtocol().cancel(item);
                item.isUploading && item._cancel();
            }
        };
        /**
         * Overwrite functions
         */
        Transfer.prototype.onAddFile = function (_file) {
            return;
        };
        Transfer.prototype.onAddFileError = function (_file) {
            return;
        };
        Transfer.prototype.onRemoveFile = function (_file) {
            return;
        };
        Transfer.prototype.onBeforeUploadAll = function (_uploader) {
            return;
        };
        Transfer.prototype.onBeforeUpload = function (_file) {
            return;
        };
        Transfer.prototype.onProgress = function (_uploader, _progress) {
            return;
        };
        Transfer.prototype.onProgressFile = function (_file, _progress) {
            return;
        };
        Transfer.prototype.onProgressFileSpeed = function (_file, _progress) {
            return;
        };
        Transfer.prototype.onSuccess = function (_file, _response, _status, _headers) {
            return;
        };
        Transfer.prototype.onError = function (_file, _response, _status, _headers) {
            return;
        };
        Transfer.prototype.onCancel = function (_file, _response, _status, _headers) {
            return;
        };
        Transfer.prototype.onComplete = function (_file, _response, _status, _headers) {
            return;
        };
        Transfer.prototype.onCompleteAll = function (_uploader) {
            return;
        };
        /**
         * Internal functions
         */
        Transfer.prototype._onAddFile = function (_file) {
            this.onAddFile(_file);
        };
        Transfer.prototype._onAddFileError = function (_file) {
            this._runHook(exports.HookTypeEnum.errorAddingFile, _file);
            this.onAddFileError(_file);
        };
        Transfer.prototype._onRemoveFile = function (_file) {
            this._runHook(exports.HookTypeEnum.removeFile, _file);
            this.onRemoveFile(_file);
        };
        Transfer.prototype._onBeforeUploadAll = function () {
            this._runHook(exports.HookTypeEnum.prepareUploadAll, this);
            this.onBeforeUploadAll(this);
        };
        Transfer.prototype._onBeforeUpload = function (_file) {
            this._runHook(exports.HookTypeEnum.prepareUploadFile, _file);
            _file._onBeforeUpload();
            this.onBeforeUpload(_file);
        };
        Transfer.prototype._onProgressFileSpeed = function (_file, _speed) {
            this._runHook(exports.HookTypeEnum.progressUploadSpeed, _file, _speed);
            _file._onProgressFileSpeed(_speed);
            this.onProgressFileSpeed(_file, _speed);
        };
        Transfer.prototype._onProgressFile = function (_file, _progress) {
            this._runHook(exports.HookTypeEnum.progressUploadFile, _file, _progress);
            _file._onProgress(_progress);
            this.onProgressFile(_file, _progress);
            this._onProgress();
        };
        Transfer.prototype._onProgress = function () {
            var e_4, _a;
            var queue = this._queue;
            if (queue.length > 0) {
                var percent = 0;
                try {
                    for (var queue_1 = __values(queue), queue_1_1 = queue_1.next(); !queue_1_1.done; queue_1_1 = queue_1.next()) {
                        var file = queue_1_1.value;
                        if (file.success || file.error) {
                            percent += 100;
                        }
                        else if (file.isUploading) {
                            percent += file.progress;
                        }
                    }
                }
                catch (e_4_1) { e_4 = { error: e_4_1 }; }
                finally {
                    try {
                        if (queue_1_1 && !queue_1_1.done && (_a = queue_1.return)) _a.call(queue_1);
                    }
                    finally { if (e_4) throw e_4.error; }
                }
                percent = Math.floor(percent / queue.length);
                this._runHook(exports.HookTypeEnum.progressUploadAll, percent);
                this.onProgress(this, percent);
                percent >= 100 && this._onCompleteAll();
            }
        };
        Transfer.prototype._onSuccessFile = function (_file, response, status, headers) {
            this._runHook(exports.HookTypeEnum.successUploadFile, _file, response, status, headers);
            _file._onSuccess(response, status, headers);
            this.onSuccess(_file, response, status, headers);
        };
        Transfer.prototype._onErrorFile = function (_file, response, status, headers) {
            this._runHook(exports.HookTypeEnum.failedUploadFile, _file, response, status, headers);
            _file._onError(response, status, headers);
            this.onError(_file, response, status, headers);
        };
        Transfer.prototype._onCancelFile = function (_file, response, status, headers) {
            this._runHook(exports.HookTypeEnum.cancelUploadFile, _file, response, status, headers);
            _file._onError(response, status, headers);
            this.onCancel(_file, response, status, headers);
        };
        Transfer.prototype._onCompleteFile = function (_file, response, status, headers) {
            this._runHook(exports.HookTypeEnum.completeUploadFile, _file, response, status, headers);
            this._onProgress();
            this.onComplete(_file, response, status, headers);
        };
        Transfer.prototype._onCompleteAll = function () {
            this._runHook(exports.HookTypeEnum.completeUploadAll, this);
            this.onCompleteAll(this);
        };
        Transfer.prototype._parseHeaders = function (headers) {
            var e_5, _a;
            var parsed = {};
            var key, val, i;
            if (!headers) {
                return parsed;
            }
            var incomeHeaders = headers.split('\n');
            try {
                for (var incomeHeaders_1 = __values(incomeHeaders), incomeHeaders_1_1 = incomeHeaders_1.next(); !incomeHeaders_1_1.done; incomeHeaders_1_1 = incomeHeaders_1.next()) {
                    var line = incomeHeaders_1_1.value;
                    i = line.indexOf(':');
                    key = line
                        .slice(0, i)
                        .trim()
                        .toLowerCase();
                    val = line.slice(i + 1).trim();
                    if (key) {
                        parsed[key] = parsed[key] ? parsed[key] + ', ' + val : val;
                    }
                }
            }
            catch (e_5_1) { e_5 = { error: e_5_1 }; }
            finally {
                try {
                    if (incomeHeaders_1_1 && !incomeHeaders_1_1.done && (_a = incomeHeaders_1.return)) _a.call(incomeHeaders_1);
                }
                finally { if (e_5) throw e_5.error; }
            }
            return parsed;
        };
        Transfer.prototype._transformResponse = function (response, headers) {
            headers = {};
            return response;
        };
        Transfer.prototype._runHook = function (type) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            for (var key in this._hooks) {
                if (this._hooks.hasOwnProperty(key)) {
                    var obj = this._hooks[key];
                    if (obj.type === type) {
                        switch (type) {
                            case exports.HookTypeEnum.beforeAddingFile:
                            case exports.HookTypeEnum.prepareUploadAll:
                            case exports.HookTypeEnum.prepareUploadFile:
                            case exports.HookTypeEnum.afterAddingFile:
                            case exports.HookTypeEnum.errorAddingFile:
                            case exports.HookTypeEnum.completeUploadAll:
                            case exports.HookTypeEnum.progressUploadAll:
                            case exports.HookTypeEnum.removeFile:
                                {
                                    obj.callback(args[0]);
                                }
                                break;
                            case exports.HookTypeEnum.progressUploadFile:
                            case exports.HookTypeEnum.progressUploadSpeed:
                                {
                                    obj.callback(args[0], args[1]);
                                }
                                break;
                            case exports.HookTypeEnum.cancelUploadFile:
                            case exports.HookTypeEnum.successUploadFile:
                            case exports.HookTypeEnum.failedUploadFile:
                            case exports.HookTypeEnum.completeUploadFile:
                                {
                                    obj.callback(args[0], args[1], args[2], args[3]);
                                }
                                break;
                            default: {
                                throw new Error("hookType unknown or not defined");
                            }
                        }
                    }
                }
            }
        };
        Transfer.prototype._hookExists = function (hook) {
            for (var key in this._hooks) {
                if (this._hooks.hasOwnProperty(key)) {
                    var obj = this._hooks[key];
                    if (obj.type === hook.type && '' + obj.callback === '' + hook.callback) {
                        return +key;
                    }
                }
            }
            return -1;
        };
        Transfer.prototype._filterExists = function (filter) {
            var e_6, _a;
            var _filters = this.options.filters;
            try {
                for (var _filters_1 = __values(_filters), _filters_1_1 = _filters_1.next(); !_filters_1_1.done; _filters_1_1 = _filters_1.next()) {
                    var _filter = _filters_1_1.value;
                    if (_filter.name === filter.name) {
                        return true;
                    }
                }
            }
            catch (e_6_1) { e_6 = { error: e_6_1 }; }
            finally {
                try {
                    if (_filters_1_1 && !_filters_1_1.done && (_a = _filters_1.return)) _a.call(_filters_1);
                }
                finally { if (e_6) throw e_6.error; }
            }
            return false;
        };
        return Transfer;
    }());

    var FileUploader = /** @class */ (function (_super) {
        __extends(FileUploader, _super);
        function FileUploader(_options, _protocol) {
            var _this = _super.call(this, 'FileUploader', _options) || this;
            _this._subs = [];
            if (typeof _protocol === 'undefined') {
                _this.setProtocol(new ProtocolXHR());
            }
            else {
                _this.setProtocol(_protocol);
            }
            _this.init();
            return _this;
        }
        FileUploader.prototype.init = function () {
            var _this = this;
            this.destroy();
            var sub1 = this.getProtocol().progress.subscribe(function (obj) {
                var _file = obj._file, _data = obj._data;
                if (instanceOfFileManagerInterface(_file)) {
                    _this._onProgressFile(_file, _data.percent);
                    _this._onProgressFileSpeed(_file, _data);
                }
            }, function (error) {
                throw new Error(error);
            });
            this._subs.push(sub1);
            var sub2 = this.getProtocol().load.subscribe(function (obj) {
                var _file = obj._file, response = obj.response, status = obj.status, headers = obj.headers;
                if (instanceOfFileManagerInterface(_file)) {
                    var uploader_1 = _file.getUploader();
                    var gist = _this.isSuccessCode(status);
                    var method = function (g, f, r, s, h) {
                        if (g) {
                            uploader_1._onSuccessFile(f, r, s, h);
                        }
                        else {
                            uploader_1._onErrorFile(f, r, s, h);
                        }
                    };
                    method(gist, _file, response, status, headers);
                    uploader_1._onCompleteFile(_file, response, status, headers);
                }
            }, function (error) {
                throw new Error(error);
            });
            this._subs.push(sub2);
            var sub3 = this.getProtocol().error.subscribe(function (obj) {
                var _file = obj._file, response = obj.response, status = obj.status, headers = obj.headers;
                if (instanceOfFileManagerInterface(_file)) {
                    var uploader = _file.getUploader();
                    uploader._onErrorFile(_file, response, status, headers);
                    uploader._onCompleteFile(_file, response, status, headers);
                }
            }, function (error) {
                throw new Error(error);
            });
            this._subs.push(sub3);
            var sub4 = this.getProtocol().abort.subscribe(function (obj) {
                var _file = obj._file, response = obj.response, status = obj.status, headers = obj.headers;
                if (instanceOfFileManagerInterface(_file)) {
                    var uploader = _file.getUploader();
                    uploader._onCancelFile(_file, response, status, headers);
                    uploader._onCompleteFile(_file, response, status, headers);
                }
            }, function (error) {
                throw new Error(error);
            });
            this._subs.push(sub4);
        };
        FileUploader.prototype.destroy = function () {
            var e_1, _a;
            try {
                for (var _b = __values(this._subs), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var _sub = _c.value;
                    _sub.unsubscribe();
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            this._subs = [];
        };
        return FileUploader;
    }(Transfer));

    (function (filterType) {
        filterType["regex"] = "regex";
        filterType["callback"] = "callback";
    })(exports.filterType || (exports.filterType = {}));
    var FileFilter = /** @class */ (function () {
        function FileFilter(name, _data, _regCheck) {
            if (_regCheck === void 0) { _regCheck = 'name'; }
            this._name = '';
            this._regex = null;
            this._regCheck = null;
            this._callback = null;
            this._type = null;
            this._name = name;
            if (_data instanceof RegExp) {
                this._type = exports.filterType.regex;
                this._regex = _data;
                this._regCheck = _regCheck;
                return;
            }
            else if (_data instanceof Function) {
                this._type = exports.filterType.callback;
                this._callback = _data;
                return;
            }
            throw new Error('FilterData is not defined.');
        }
        Object.defineProperty(FileFilter.prototype, "name", {
            get: function () {
                return this._name;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(FileFilter.prototype, "type", {
            get: function () {
                return this._type;
            },
            enumerable: false,
            configurable: true
        });
        FileFilter.prototype.validate = function (file) {
            var _valid = false;
            if (this._type === exports.filterType.regex) {
                return this._regexpCheck(file);
            }
            else if (this._type === exports.filterType.callback) {
                _valid = this._callback(file);
            }
            else {
                throw new Error('Filter type is not defined.');
            }
            return _valid;
        };
        FileFilter.prototype._regexpCheck = function (file) {
            var _valid = false;
            switch (this._regCheck) {
                case 'name':
                    _valid = file.object.name.match(this._regex) != null;
                    break;
                case 'type':
                    _valid = file.object.type.match(this._regex) != null;
                    break;
                case 'date':
                    // Format for validation is `2017-01-01 10:10:10`
                    var _checkDate = new common.DatePipe('en-US').transform(file.object.lastModifiedDate, 'yyyy-MM-dd hh:mm:ss');
                    if (_checkDate && _checkDate.match(this._regex)) {
                        _valid = true;
                    }
                    break;
                default: {
                    throw new Error('RegExp can only check on `name | type | date`.');
                }
            }
            return _valid;
        };
        return FileFilter;
    }());

    var AngularFileUploadProtocol = /** @class */ (function (_super) {
        __extends(AngularFileUploadProtocol, _super);
        function AngularFileUploadProtocol(_httpClient) {
            var _this = _super.call(this) || this;
            _this._httpClient = _httpClient;
            _this.ngUnsubscribe = new rxjs.Subject();
            return _this;
        }
        /**
         * Implementation of the abstract.protocol method `run`
         *
         * @memberOf ProtocolXHR
         */
        AngularFileUploadProtocol.prototype.run = function (_file) {
            return __awaiter(this, void 0, void 0, function () {
                var sendable, uploader, _formData, _withCredentials, _method, _url, _alias, _headers, time, _formData_1, _formData_1_1, obj, key, value, _req, _post;
                var e_1, _a;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            uploader = _file.getUploader();
                            _formData = Utils.extendValue(uploader.options.formData, _file.options.formData);
                            _withCredentials = Utils.extendValue(uploader.options.withCredentials, _file.options.withCredentials);
                            _method = Utils.extendValue(uploader.options.method, _file.options.method);
                            _url = Utils.extendValue(uploader.options.url, _file.options.url);
                            _alias = Utils.extendValue(uploader.options.alias, _file.options.alias);
                            _headers = Utils.extendValue(uploader.options.headers, _file.options.headers, { 'Content-Type': 'multipart/form-data' });
                            time = new Date().getTime();
                            this.connection = {
                                _file: _file,
                                _connection: null
                            };
                            sendable = new FormData();
                            if (typeof _formData !== 'undefined') {
                                try {
                                    // Only allow Multipart
                                    for (_formData_1 = __values(_formData), _formData_1_1 = _formData_1.next(); !_formData_1_1.done; _formData_1_1 = _formData_1.next()) {
                                        obj = _formData_1_1.value;
                                        for (key in obj) {
                                            if (obj.hasOwnProperty(key)) {
                                                value = obj[key];
                                                sendable.append(key, value);
                                            }
                                        }
                                    }
                                }
                                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                                finally {
                                    try {
                                        if (_formData_1_1 && !_formData_1_1.done && (_a = _formData_1.return)) _a.call(_formData_1);
                                    }
                                    finally { if (e_1) throw e_1.error; }
                                }
                            }
                            sendable.append(_alias, _file.element, _file.name);
                            if (typeof _file.size !== 'number') {
                                throw new TypeError('We need the file size.');
                            }
                            _req = new http.HttpRequest(_method, _url, sendable, {
                                headers: _headers,
                                reportProgress: true,
                                withCredentials: _withCredentials
                            });
                            _post = this._httpClient.request(_req);
                            return [4 /*yield*/, this.handleMethode(_file, _post, time)];
                        case 1:
                            _b.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        AngularFileUploadProtocol.prototype.handleMethode = function (_file, requestHandle, time) {
            return __awaiter(this, void 0, void 0, function () {
                var _load, _speed, _speedToText, _$filesize, _headers, _response, _status, _request;
                var _this = this;
                return __generator(this, function (_a) {
                    _load = 0;
                    _speed = 0;
                    _speedToText = null;
                    _$filesize = new FileSizePipe();
                    return [2 /*return*/, requestHandle
                            .pipe(operators.takeUntil(this.ngUnsubscribe), operators.map(function (event) {
                            switch (event.type) {
                                case http.HttpEventType.UploadProgress:
                                    var _time = new Date().getTime() - time;
                                    _load = event.loaded - _load;
                                    _speed = (_load / _time) * 1000;
                                    _speed = parseInt(_speed, 10);
                                    _speedToText = _$filesize.transform(_speed);
                                    var _obj = {
                                        total: event.total,
                                        loaded: event.loaded,
                                        percent: Math.round((event.loaded / event.total) * 100),
                                        speed: _speed,
                                        speedToText: _speedToText
                                    };
                                    _request = _this.isConnected(_file);
                                    if (!!_request) {
                                        _this.progress.emit({ _file: _file, _data: _obj });
                                    }
                                    return event;
                                case http.HttpEventType.Response:
                                    _headers = event.headers;
                                    _response = event.body;
                                    _status = event.status;
                                    _request = _this.isConnected(_file);
                                    if (!!_request) {
                                        _this.load.emit({ _file: _file, response: _response, status: _status, headers: _headers });
                                    }
                                    return event;
                                default:
                                    return event;
                            }
                        }), operators.catchError(function (operation, result) {
                            if (operation === void 0) { operation = 'operation'; }
                            return function (error) {
                                console.log(operation + " failed: " + error.message);
                                _this.error.emit({ _file: _file, response: result, status: error.status, headers: {} });
                                console.error(error);
                                return rxjs.of(result);
                            };
                        }))
                            .toPromise()];
                });
            });
        };
        AngularFileUploadProtocol.prototype.cancel = function (_file) {
            var _request = this.isConnected(_file);
            if (!!_request) {
                this.ngUnsubscribe.next();
                this.ngUnsubscribe.complete();
                this.abort.emit({ _file: _file, response: {}, status: 999, headers: {} });
                this.removeConnection(_file);
            }
        };
        return AngularFileUploadProtocol;
    }(Protocol));

    var FILE_UPLOADER_CONFIG = new core.InjectionToken(null);
    var FileUploadService = /** @class */ (function () {
        function FileUploadService(_httpClient, _config) {
            this._httpClient = _httpClient;
            this._config = _config;
            this._uploadServices = {};
            if (_config && _config.url) {
                this.registerUploadService('default', new FileUploader(_config));
                this.useAngularProtocol('default');
            }
        }
        FileUploadService.prototype.registerUploadService = function (uploaderKey, uploader) {
            if (this._uploadServices[uploaderKey] != null) {
                throw new Error("Upload service with the key [" + uploaderKey + "] exists.");
            }
            if (this._config) {
                uploader.bindOptions(Object.assign(Object.assign({}, this._config), uploader.options));
            }
            this._uploadServices[uploaderKey] = {
                uploader: uploader
            };
        };
        FileUploadService.prototype.setHook = function (uploaderKey, type, fnCallback, priority) {
            if (priority === void 0) { priority = 0; }
            this._checkUploader(uploaderKey);
            this._uploadServices[uploaderKey].uploader.hook(new UploaderHook(type, fnCallback, priority));
        };
        FileUploadService.prototype.useAngularProtocol = function (uploaderKey) {
            this._checkUploader(uploaderKey);
            this._uploadServices[uploaderKey].uploader.setProtocol(new AngularFileUploadProtocol(this._httpClient));
            this._uploadServices[uploaderKey].uploader.init();
        };
        FileUploadService.prototype.useDefaultProtocol = function (uploaderKey) {
            this._checkUploader(uploaderKey);
            this._uploadServices[uploaderKey].uploader.setProtocol(new ProtocolXHR());
            this._uploadServices[uploaderKey].uploader.init();
        };
        FileUploadService.prototype.getUploader = function (uploaderKey) {
            this._checkUploader(uploaderKey);
            return this._uploadServices[uploaderKey].uploader;
        };
        FileUploadService.prototype.addFile = function (uploaderKey, file) {
            this._checkUploader(uploaderKey);
            file.bindUploader(this._uploadServices[uploaderKey].uploader);
        };
        FileUploadService.prototype.addFiles = function (uploaderKey, files) {
            var e_1, _a;
            this._checkUploader(uploaderKey);
            try {
                for (var files_1 = __values(files), files_1_1 = files_1.next(); !files_1_1.done; files_1_1 = files_1.next()) {
                    var _file = files_1_1.value;
                    _file.bindUploader(this._uploadServices[uploaderKey].uploader);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (files_1_1 && !files_1_1.done && (_a = files_1.return)) _a.call(files_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        FileUploadService.prototype.startAll = function (uploaderKey) {
            this._checkUploader(uploaderKey);
            this._uploadServices[uploaderKey].uploader.upload();
        };
        FileUploadService.prototype.startFile = function (uploaderKey, file) {
            this._checkUploader(uploaderKey);
            if (file.getUploader() == null) {
                file.bindUploader(this._uploadServices[uploaderKey].uploader);
            }
            this._uploadServices[uploaderKey].uploader.uploadFile(file);
        };
        FileUploadService.prototype.cancelAll = function (uploaderKey) {
            this._checkUploader(uploaderKey);
            this._uploadServices[uploaderKey].uploader.cancel();
        };
        FileUploadService.prototype.cancelFile = function (uploaderKey, file) {
            this._checkUploader(uploaderKey);
            this._uploadServices[uploaderKey].uploader.cancelUploadFile(file);
        };
        /** Internal Function */
        FileUploadService.prototype._checkUploader = function (uploaderKey) {
            if (this._uploadServices[uploaderKey] == null) {
                throw new Error("Upload service with the key [" + uploaderKey + "] doesn't exists.");
            }
        };
        return FileUploadService;
    }());
    FileUploadService.decorators = [
        { type: core.Injectable }
    ];
    FileUploadService.ctorParameters = function () { return [
        { type: http.HttpClient },
        { type: undefined, decorators: [{ type: core.Inject, args: [FILE_UPLOADER_CONFIG,] }, { type: core.Optional }] }
    ]; };

    var providers = [FileUploadService];
    var directives = [FileDropDirective, FileSelectDirective, ImagePreviewDirective, ProgressBarDirective];
    var pipes = [FileSizePipe];
    var NgxFileUploaderModule = /** @class */ (function () {
        function NgxFileUploaderModule() {
        }
        NgxFileUploaderModule.forRoot = function (parameters) {
            if (parameters === void 0) { parameters = {}; }
            return {
                ngModule: NgxFileUploaderModule,
                providers: __spread(providers, [{ provide: FILE_UPLOADER_CONFIG, useValue: parameters }])
            };
        };
        return NgxFileUploaderModule;
    }());
    NgxFileUploaderModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: __spread(directives, pipes),
                    imports: [],
                    exports: __spread(directives, pipes)
                },] }
    ];

    /*
     * Public API Surface of ngx-file-uploader
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AngularFileUploadProtocol = AngularFileUploadProtocol;
    exports.FILE_UPLOADER_CONFIG = FILE_UPLOADER_CONFIG;
    exports.FileDropDirective = FileDropDirective;
    exports.FileFilter = FileFilter;
    exports.FileManager = FileManager;
    exports.FileSelectDirective = FileSelectDirective;
    exports.FileSizePipe = FileSizePipe;
    exports.FileUploadService = FileUploadService;
    exports.FileUploader = FileUploader;
    exports.ImagePreviewDirective = ImagePreviewDirective;
    exports.NgxFileUploaderModule = NgxFileUploaderModule;
    exports.ProgressBarDirective = ProgressBarDirective;
    exports.Protocol = Protocol;
    exports.ProtocolXHR = ProtocolXHR;
    exports.Transfer = Transfer;
    exports.UploaderHook = UploaderHook;
    exports.Utils = Utils;
    exports.instanceOfFileManagerInterface = instanceOfFileManagerInterface;
    exports.ɵa = FileDropDirective;
    exports.ɵb = FileSelectDirective;
    exports.ɵc = ImagePreviewDirective;
    exports.ɵd = ProgressBarDirective;
    exports.ɵe = FileSizePipe;
    exports.ɵf = FILE_UPLOADER_CONFIG;
    exports.ɵg = FileUploadService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=uniprank-ngx-file-uploader.umd.js.map
