import { Protocol } from './protocol.class';
import { Transfer } from './transfer.class';
import { TransferOptionsInterface } from '../interfaces';
import { TransferInterface } from '../interfaces/transfer.interface';
import { FileManagerInterface } from '../interfaces/file-manager.interface';
export declare class FileUploader extends Transfer implements TransferInterface<FileManagerInterface> {
    private _subs;
    constructor(_options?: TransferOptionsInterface, _protocol?: Protocol);
    init(): void;
    destroy(): void;
}
