export declare enum HookTypeEnum {
    beforeAddingFile = "beforeAddingFile",
    afterAddingFile = "afterAddingFile",
    errorAddingFile = "errorAddingFile",
    removeFile = "removeFile",
    prepareUploadFile = "prepareUploadFile",
    progressUploadFile = "progressUploadFile",
    progressUploadSpeed = "progressUploadSpeed",
    successUploadFile = "successUploadFile",
    completeUploadFile = "completeUploadFile",
    failedUploadFile = "failedUploadFile",
    cancelUploadFile = "cancelUploadFile",
    prepareUploadAll = "prepareUploadAll",
    progressUploadAll = "progressUploadAll",
    completeUploadAll = "completeUploadAll"
}
export declare class UploaderHook {
    get type(): HookTypeEnum | null;
    get priority(): number | null;
    get callback(): (...args: any[]) => void | null;
    private _type;
    private _callback;
    private _priority;
    constructor(_hookType: HookTypeEnum, _callback: (...args: any[]) => void, _priority?: number);
}
