import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { FileManagerOptionsInterface, FileManagerInterface, TransferInterface } from '../interfaces';
export declare class FileSelectDirective implements OnInit, OnDestroy {
    role: string;
    type: string;
    fileHoverStart: EventEmitter<any>;
    fileHoverEnd: EventEmitter<any>;
    fileAccepted: EventEmitter<FileManagerInterface[]>;
    fileRejected: EventEmitter<Error>;
    fileOptions: FileManagerOptionsInterface;
    uploader: TransferInterface<FileManagerInterface>;
    private _InputFile;
    private _files;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    onChange(event: Event): void;
    private preventAndStopEventPropagation;
    private readFile;
    private getEventTarget;
}
